API7 GatewayAPI7 Enterprise Admin APIsGenerate a script to install gateway API resources for ingress gateway group
Generate a script to install gateway API resources for ingress gateway group
GET /api/gateway_groups/{gateway_group_id}/ingress/script
GET /api/gateway_groups/{gateway_group_id}/ingress/scriptInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
gateway_group_id*string
Gateway group ID.
Length
1 <= lengthQuery Parameters
name*string
Ingress resource name.
namespace*string
Namespace to install the ingress resources.
type?string
Default
"gateway-api"Value in
- "gateway-api"
- "ingress"
- "ingress-v1beta1"
Response Body
text/plain
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/ingress/script?name=string&namespace=string"Successfully generated the Kubernetes Gateway API manifest for data plane installation.
"kubectl create namespace default --dry-run=client -o yaml | kubectl apply -f -\necho \"\n---\napiVersion: gateway.networking.k8s.io/v1\nkind: GatewayClass\nmetadata:\n name: apisix\nspec:\n controllerName: apisix.apache.org/apisix-ingress-controller\n---\napiVersion: apisix.apache.org/v1alpha1\nkind: GatewayProxy\nmetadata:\n name: name\nspec:\n provider:\n type: ControlPlane\n controlPlane:\n endpoints:\n - [\"12.12.123.123\"]\n auth:\n type: AdminKey\n adminKey:\n value: a7adm-ZgR85iE...\n---\napiVersion: gateway.networking.k8s.io/v1\nkind: Gateway\nmetadata:\n name: apisix\nspec:\n gatewayClassName: apisix\n listeners:\n - name: http\n protocol: HTTP\n port: 80\n infrastructure:\n parametersRef:\n group: apisix.apache.org\n kind: GatewayProxy\n name: name\n\" | kubectl apply -f - -n default\n"Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/ingress/script
Generate a script to install gateway API resources for ingress gateway group
IAM Action: gateway:GetAdminKey, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
gateway_group_id(path, string, required): Gateway group ID.name(query, string, required): Ingress resource name.namespace(query, string, required): Namespace to install the ingress resources.type(query, string, optional):
Responses
200: Successfully generated the Kubernetes Gateway API manifest for data plane installation.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/ingress/script'